Kerbal Space Program - Bug #9510

[1.1.0] crashes when entering the VAB
04/26/2016 03:46 PM - asdf1324321

Status: Needs Clarification Start date: 04/22/2016
Severity: Normal % Done: 0%
Assignee:

Category: Application

Target version:

Version: 1.1.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Version: 1.1.0.1230

OS: Linux Mint 17.2

Kernel: 3.16.0-38-generic, x86_64
CPU: Core i5 M520, integrated graphics

Steps to reproduce:

e unzip ksp-linux-1.1.0.zip

rm -rf ~/.config/unity3d/*
/KSP_Launcher.x86

Wait for the patcher to download, click start
Start New Game, accept default settings
Dismiss Gene

Click VAB

Expected outcome: VAB view
Actual outcome: Loader animation starts, then stops, then the application terminates

Set current directory to /home/anthony/software/ksp/new/KSP_linux

Found path: /home/anthony/software/ksp/new/KSP_linux/Launcher.x86

Mono path[0] ' /home/anthony/software/ksp/new/KSP_linux/Launcher_Data/Managed'

Mono path[1] ' /home/anthony/software/ksp/new/KSP_linux/Launcher_Data/Mono'

Mono config path = '/home/anthony/software/ksp/new/KSP_linux/Launcher_Data/Mono/etc'
displaymanager : xrandr version warning. 1.4

client has 3 screens
displaymanager screen (0) (LVDS1): 1280 x 800
Using libudev for joystick management

Importing game controller configs

Related issues:
Copied from Kerbal Space Program - Bug #9413: KSP 1.1 instantly crashes on st... Closed 04/22/2016

History

#1 - 04/26/2016 03:46 PM - asdf1324321
- Copied from Bug #9413: KSP 1.1 instantly crashes on startup (Linux, AMD, FGLRX) added

#2 - 04/26/2016 03:59 PM - sal_vager

- Status changed from New to Need More Info

How many times did you try this asdf1324321 ?
| am unable to reproduce this after 10 attempts on Xubuntu 16.04

Also, don't just delete the contents of the .config/unity3d folder as you just lost any files in there from other unity games.
#3 - 04/26/2016 04:58 PM - asdf1324321

Four times, same result every time.
The log says something about width? Maybe it's display related?
Incidentally, IIRC Mint 17.2 is based on Ubuntu 14.04.

#4 - 07/17/2016 09:48 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

Files

buildID.txt 52 Bytes 04/26/2016 asdf1324321
KSP.log 194 KB 04/26/2016 asdf1324321
KSPLauncher-Player.log 13.4 KB 04/26/2016 asdf1324321
Kerbal_Space_Program-Player.log 452 KB 04/26/2016 asdf1324321
